import { uuid } from "@/utils/util"

export default {
  type: 'r-tabs',
  name: "Tabs标签",
  menuType: "navigation",
  compStyle: {
    width: '100%',
  },
  option: {
    duration: 300,
    lineColor: "#3c9cff",
    activeStyle: { color: '#303133' },
    inactiveStyle: { color: '#606266' },
    lineWidth: 20,
    lineHeight: 3,
    lineBgSize: "cover",
    itemStyle: { height: '44px' },
    scrollable: true,
    current: 0,
    keyName: "name",
    list: [
      {
        uid: uuid(),
        name: '昨夜',
        badge: {
          isDot: true,
        },
      },
      {
        uid: uuid(),
        name: '身无',
        badge: {
          value: 22,
        },
      },
      {
        uid: uuid(),
        name: '谁念',
        badge: {
          value: 22,
        },
      },
    ],
  },
  slots: []
}